Package org.w3c.tidy

# Class DOMElementImpl

java.lang.Object
org.w3c.tidy.DOMNodeImpl
org.w3c.tidy.DOMElementImpl

All Implemented Interfaces:
  `Element`, `Node`

public class DOMElementImpl extends DOMNodeImpl implements Element
DOMElementImpl.

Version:
  $Revision: 738 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

### Fields inherited from class org.w3c.tidy.DOMNodeImpl

`adaptee`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DOMElementImpl(Node adaptee)`
Instantiates a new DOM element.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute(String name)`
`Attr`
`getAttributeNode(String name)`
`Attr`
`getAttributeNodeNS(String namespaceURI, String localName)`
`String`
`getAttributeNS(String namespaceURI, String localName)`
`NodeList`
`getElementsByTagName(String name)`
`NodeList`
`getElementsByTagNameNS(String namespaceURI, String localName)`
`short`
`getNodeType()`
`TypeInfo`
`getSchemaTypeInfo()`
`String`
`getTagName()`
`boolean`
`hasAttribute(String name)`
`boolean`
`hasAttributeNS(String namespaceURI, String localName)`
`void`
`normalize()`
Do nothing: text nodes in html documents are important and jtidy already removes useless text during parsing.
`void`
`removeAttribute(String name)`
`Attr`
`removeAttributeNode(Attr oldAttr)`
`void`
`removeAttributeNS(String namespaceURI, String localName)`
`void`
`setAttribute(String name, String value)`
`Attr`
`setAttributeNode(Attr newAttr)`
`Attr`
`setAttributeNodeNS(Attr newAttr)`
`void`
`setAttributeNS(String namespaceURI, String qualifiedName, String value)`
`void`
`setIdAttribute(String name, boolean isId)`
`void`
`setIdAttributeNode(Attr idAttr, boolean isId)`
`void`
`setIdAttributeNS(String namespaceURI, String localName, boolean isId)`

### Methods inherited from class org.w3c.tidy.DOMNodeImpl

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, supports`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Constructor Details

### DOMElementImpl

protected DOMElementImpl(Node adaptee)
Instantiates a new DOM element.

Parameters:
  `adaptee` - Tidy Node.

## Method Details

### getNodeType

public short getNodeType()

Specified by:
  `getNodeType` in interface `Node`
Overrides:
  `getNodeType` in class `DOMNodeImpl`
See Also:
  - `Node.getNodeType()`

### getTagName

public String getTagName()

Specified by:
  `getTagName` in interface `Element`
See Also:
  - `Element.getTagName()`

### getAttribute

public String getAttribute(String name)

Specified by:
  `getAttribute` in interface `Element`
See Also:
  - `Element.getAttribute(java.lang.String)`

### setAttribute

public void setAttribute(String name, String value) throws DOMException

Specified by:
  `setAttribute` in interface `Element`
Throws:
  `DOMException`
See Also:
  - `Element.setAttribute(java.lang.String, java.lang.String)`

### removeAttribute

public void removeAttribute(String name) throws DOMException

Specified by:
  `removeAttribute` in interface `Element`
Throws:
  `DOMException`
See Also:
  - `Element.removeAttribute(java.lang.String)`

### getAttributeNode

public Attr getAttributeNode(String name)

Specified by:
  `getAttributeNode` in interface `Element`
See Also:
  - `Element.getAttributeNode(java.lang.String)`

### setAttributeNode

public Attr setAttributeNode(Attr newAttr) throws DOMException

Specified by:
  `setAttributeNode` in interface `Element`
Throws:
  `DOMException`
See Also:
  - `Element.setAttributeNode(org.w3c.dom.Attr)`

### removeAttributeNode

public Attr removeAttributeNode(Attr oldAttr) throws DOMException

Specified by:
  `removeAttributeNode` in interface `Element`
Throws:
  `DOMException`
See Also:
  - `Element.removeAttributeNode(org.w3c.dom.Attr)`

### getElementsByTagName

public NodeList getElementsByTagName(String name)

Specified by:
  `getElementsByTagName` in interface `Element`
See Also:
  - `Element.getElementsByTagName(java.lang.String)`

### normalize

public void normalize()
Description copied from class: `DOMNodeImpl`
Do nothing: text nodes in html documents are important and jtidy already removes useless text during parsing.

Specified by:
  `normalize` in interface `Node`
Overrides:
  `normalize` in class `DOMNodeImpl`
See Also:
  - `Node.normalize()`
To Do:
  DOM level 2 getOwnerDocument() Not supported. Do nothing.

### getAttributeNS

public String getAttributeNS(String namespaceURI, String localName)

Specified by:
  `getAttributeNS` in interface `Element`
See Also:
  - `Element.getAttributeNS(java.lang.String, java.lang.String)`
To Do:
  DOM level 2 getAttributeNS() Not supported. Throws NOT_SUPPORTED_ERR.

### setAttributeNS

public void setAttributeNS(String namespaceURI, String qualifiedName, String value) throws DOMException

Specified by:
  `setAttributeNS` in interface `Element`
Throws:
  `DOMException`
See Also:
  - `Element.setAttributeNS(java.lang.String, java.lang.String, java.lang.String)`
To Do:
  DOM level 2 setAttributeNS() Not supported. Throws NOT_SUPPORTED_ERR.

### removeAttributeNS

public void removeAttributeNS(String namespaceURI, String localName) throws DOMException

Specified by:
  `removeAttributeNS` in interface `Element`
Throws:
  `DOMException`
See Also:
  - `Element.removeAttributeNS(java.lang.String, java.lang.String)`
To Do:
  DOM level 2 removeAttributeNS() Not supported. Throws NOT_SUPPORTED_ERR.

### getAttributeNodeNS

public Attr getAttributeNodeNS(String namespaceURI, String localName)

Specified by:
  `getAttributeNodeNS` in interface `Element`
See Also:
  - `Element.getAttributeNodeNS(java.lang.String, java.lang.String)`
To Do:
  DOM level 2 getAttributeNodeNS() Not supported. Throws NOT_SUPPORTED_ERR.

### setAttributeNodeNS

public Attr setAttributeNodeNS(Attr newAttr) throws DOMException

Specified by:
  `setAttributeNodeNS` in interface `Element`
Throws:
  `DOMException`
See Also:
  - `Element.setAttributeNodeNS(org.w3c.dom.Attr)`
To Do:
  DOM level 2 setAttributeNodeNS() Not supported. Throws NOT_SUPPORTED_ERR.

### getElementsByTagNameNS

public NodeList getElementsByTagNameNS(String namespaceURI, String localName)

Specified by:
  `getElementsByTagNameNS` in interface `Element`
See Also:
  - `Element.getElementsByTagNameNS(java.lang.String, java.lang.String)`
To Do:
  DOM level 2 getElementsByTagNameNS() Not supported. Throws NOT_SUPPORTED_ERR.

### hasAttribute

public boolean hasAttribute(String name)

Specified by:
  `hasAttribute` in interface `Element`
See Also:
  - `Element.hasAttribute(java.lang.String)`
To Do:
  DOM level 2 hasAttribute() Not supported. Returns false.

### hasAttributeNS

public boolean hasAttributeNS(String namespaceURI, String localName)

Specified by:
  `hasAttributeNS` in interface `Element`
See Also:
  - `Element.hasAttributeNS(java.lang.String, java.lang.String)`
To Do:
  DOM level 2 hasAttribute() Not supported. Returns false.

### getSchemaTypeInfo

public TypeInfo getSchemaTypeInfo()

Specified by:
  `getSchemaTypeInfo` in interface `Element`
See Also:
  - `Element.getSchemaTypeInfo()`
To Do:
  DOM level 3 getSchemaTypeInfo() Not supported. Returns null.

### setIdAttribute

public void setIdAttribute(String name, boolean isId) throws DOMException

Specified by:
  `setIdAttribute` in interface `Element`
Throws:
  `DOMException`
See Also:
  - `Element.setIdAttribute(java.lang.String, boolean)`
To Do:
  DOM level 3 setIdAttribute() Not supported. Throws NOT_SUPPORTED_ERR.

### setIdAttributeNode

public void setIdAttributeNode(Attr idAttr, boolean isId) throws DOMException

Specified by:
  `setIdAttributeNode` in interface `Element`
Throws:
  `DOMException`
See Also:
  - `Element.setIdAttributeNode(org.w3c.dom.Attr, boolean)`
To Do:
  DOM level 3 setIdAttributeNode() Not supported. Throws NOT_SUPPORTED_ERR.

### setIdAttributeNS

public void setIdAttributeNS(String namespaceURI, String localName, boolean isId) throws DOMException

Specified by:
  `setIdAttributeNS` in interface `Element`
Throws:
  `DOMException`
See Also:
  - `Element.setIdAttributeNS(java.lang.String, java.lang.String, boolean)`
To Do:
  DOM level 3 setIdAttributeNS() Not supported. Throws NOT_SUPPORTED_ERR.